Wingfield Logo
Wingfield Partner API
User

Create user

POST
/api/v1/external-services/{externalServiceId}/users

Create a new user account and automatically link it to your service. Users created through this endpoint are managed by your service.

Path Parameters

externalServiceId*string

External service ID (UUID).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Error Responses

400

invalid_schema

Request validation failed.

401

missing_api_token

No authentication token provided.

401

invalid_api_token

Invalid or expired authentication token.

403

scope_permission_denied

Insufficient permissions for this operation.

403

external_service_access_denied

Token does not match the requested external service.

409

email_already_in_use

The submitted email is already linked to a different user.

409

external_user_id_already_in_use

The submitted external user ID is already linked to a different user.

500

internal_server_error

Unexpected server error.

curl -X POST "https://dev.wingfield.systems/api/v1/external-services/497f6eca-6276-4993-bfeb-53cbbbba6f08/users" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "externalUserId": "string",    "firstName": "string",    "lastName": "string",    "birthday": "2019-08-24"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "firstName": "string",
  "lastName": "string",
  "birthday": "2019-08-24T14:15:22Z",
  "gender": "MALE",
  "mainSportType": "TENNIS",
  "playingHand": "LEFT"
}
{
  "error": {
    "type": "invalid_schema",
    "message": "string",
    "issues": [
      {}
    ]
  }
}
{
  "error": {
    "type": "missing_api_token",
    "message": "string"
  }
}
{
  "error": {
    "type": "scope_permission_denied",
    "message": "string"
  }
}
{
  "error": {
    "type": "email_already_in_use",
    "message": "string"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "message": "string"
  }
}